<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="A list of role names for the auth constraint.  Each element specifies the name of a security role (a String).">
<meta name="KeyWords" content="roles,Attribute roles,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>String&nbsp;<IMG SRC="../../webviewer/30.jpg"BORDER=0>&lt;&lt;0..*&gt;&gt;&nbsp;roles,&nbsp;in&nbsp;Class&nbsp;<a href="class38c07c8001a0.htm" target="contents_frame">AuthConstraint</a></b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>A&nbsp;list&nbsp;of&nbsp;role&nbsp;names&nbsp;for&nbsp;the&nbsp;auth&nbsp;constraint.&nbsp;&nbsp;Each&nbsp;element&nbsp;specifies&nbsp;the&nbsp;name&nbsp;of&nbsp;a&nbsp;security&nbsp;role&nbsp;(a&nbsp;String).
<BR></font><BR><BR>
</body>
</html>
